<?php 
if ( ! defined( 'WPINC' ) ) {
	// Exit if accessed directly
	die();
}

// PlayHt Setting Page ///////////////////////////////////////////////
add_action( 'admin_init',  'playHt_SettingPage' );
function playHt_SettingPage() {

    // Sections Floating //////
    add_settings_section("playSettings_area_floatingButton", "", "playHtfloatingButton", "play-welcome-page");
    // Sections Floating //////
    add_settings_section("playSettings_area_ListenButton", "", "playHtListenButton", "play-welcome-page");
    // Sections iframe player //////
    add_settings_section("playSettings_area_iframePlayer", "", "playHtIframePlayer", "play-welcome-page");
    // Sections Readalong 
    add_settings_section("playSettings_area_readalong", "", "playHt_readalong_player", "play-welcome-page-readalong");

    add_settings_section("playSettings_area_articleplayer", "", "", "play-welcome-page-articleplayer");


    // Settings Field Floating
    add_settings_field( "playht_button_switch", "Enable button", "playHtButtonSwitch", "play-welcome-page", "playSettings_area_floatingButton");
    add_settings_field( "playht_button_wlabel", "White label", "playHtbuttonWLabel", "play-welcome-page", "playSettings_area_floatingButton");
    add_settings_field( "playHtcolor_backgrund", "Backgrund color", "playHtTextcolor_backgrund", "play-welcome-page", "playSettings_area_floatingButton");
    add_settings_field( "playHttextColor", "Icon color", "playHttextColor", "play-welcome-page", "playSettings_area_floatingButton");
    add_settings_field( "FielddesktopPositionID", "Position on Desktop", "desktopPositionCallBack", "play-welcome-page", "playSettings_area_floatingButton");
    add_settings_field( "FieldmobilePositionID", "Position on Mobile", "mobilePositionCallBack", "play-welcome-page", "playSettings_area_floatingButton");
    
    // Settings Field Listen
    add_settings_field( "playht_Listenbutton_switch", "Enable button", "playHtListenbuttonSwitch", "play-welcome-page", "playSettings_area_ListenButton");
    add_settings_field( "playHtListenText", "Text", "playHtListenTextCallback", "play-welcome-page", "playSettings_area_ListenButton");
    add_settings_field( "playHtListencolor_backgrund", "Backgrund color", "playHtListenTextcolor_backgrundCallback", "play-welcome-page", "playSettings_area_ListenButton");
    add_settings_field( "playHtListentextColor", "Text color", "playHtListentextColorCallback", "play-welcome-page", "playSettings_area_ListenButton");
    add_settings_field( "playHtListenBorderColor", "Border color", "playHtListenBorderColorCallback", "play-welcome-page", "playSettings_area_ListenButton");
    add_settings_field( "playHtListenBorderRadius", "Border radius", "playHtListenBorderRadiusCallback", "play-welcome-page", "playSettings_area_ListenButton");
    
    // Settings Field iframe player 
    add_settings_field( "playHtDarkMode", "Enable Dark mode", "callPlayHtDarkMode", "play-welcome-page", "playSettings_area_iframePlayer");
    add_settings_field( "playHtPlayerItemsColor", "Items Color", "playHtplayerItemsColorCallBack", "play-welcome-page", "playSettings_area_iframePlayer");
    add_settings_field( "playHtPlayerTextColor", "Text Color", "playHtPlayerTextColorCallBack", "play-welcome-page", "playSettings_area_iframePlayer");
    add_settings_field( "playHtPlayerBackgroundColor", "Player BackgroundColor", "playHtPlayerBackgroundColorCallBack", "play-welcome-page", "playSettings_area_iframePlayer");
    add_settings_field( "fullScreenMobEnabledID", "Enabled Full screen Player on Mobile", "fullScreenMobEnabledCallBack", "play-welcome-page", "playSettings_area_iframePlayer");

    // playSettings area readalong
    add_settings_field( "playHt_readalong_switch", "Enable readalong", "callBackplayHt_readalong_switch", "play-welcome-page-readalong", "playSettings_area_readalong");
    add_settings_field( "playHtReadalongTextColor", "Text Color", "playHtReadalongTextColorCallBack", "play-welcome-page-readalong", "playSettings_area_readalong");
    add_settings_field( "playHtReadalongBackgroundColor", "Background Color", "playHtReadalongBackgroundColorCallBack", "play-welcome-page-readalong", "playSettings_area_readalong");
    add_settings_field( "playHtReadalongBorderRadius", "Border radius", "playHtReadalongBorderRadiusCallback", "play-welcome-page-readalong", "playSettings_area_readalong");
    
    add_settings_field( "playHt_articleplayer_switch", "", "callBackplayHt_articleplayer_switch", "play-welcome-page-articleplayer", "playSettings_area_articleplayer", array('class' => 'playHt_articleplayer_switch' ));

    $settingsArray = array (
        // Floating
        'playht_button_wlabel',
        'playHtcolor_backgrund',
        'playHttextColor',
        'FielddesktopPositionID',
        'FieldmobilePositionID',

        // Listen
        'playHtListenText', 
        'playHtListencolor_backgrund', 
        'playHtListentextColor', 
        'playHtListenBorderColor', 
        'playHtListenBorderRadius',

        // iframe player 
        'playHtDarkMode',
        'playHtPlayerItemsColor',
        'playHtPlayerTextColor',
        'playHtPlayerBackgroundColor',
        'fullScreenMobEnabledID',
    );

    $settingsR = array (
        // Readalong
        'playHtReadalongTextColor',
        'playHtReadalongBackgroundColor',
        'playHtReadalongBorderRadius'
    );


    $args = array(
        'type' => 'string', 
        'sanitize_callback' => 'sanitize_text_field',
        'default' => null,
    );

    register_setting('playSettingsArea', 'playht_button_switch', array(
        'type' => 'string',
        'default' => "1",
    ));
    register_setting('playSettingsArea', 'playht_Listenbutton_switch', array(
        'type' => 'string',
        'default' => "1",
    ));
    foreach ($settingsArray as $setting) {
        register_setting( 'playSettingsArea', $setting, $args);
    }

    register_setting('playSettingsReadalongArea', 'playHt_readalong_switch', array(
        'type' => 'string',
        'default' => "1",
    ));
    foreach ($settingsR as $setting) {
        register_setting( 'playSettingsReadalongArea', $setting, $args);
    }

    register_setting('playSettingsArticlePlayerArea', 'playHt_articleplayer_switch', array(
        'type' => 'string',
        'default' => null,
    ));

}


// CallBacks ///////////////////////////////////////////////
function playHtfloatingButton() { 
    ?>
    <h5 class="palyht_title_settings">Page Player Button <small>If enabled, will show a play button at the bottom of the article page and article list pages, when clicked will start the <strong>Page Player</strong> to play the current article.</small></h5>
    <div class="palyhtBodySettings floatingButtonClass">
        <div class="playPrivArea floatingButton">
            <small>Preview</small>
            <div class="inner_playPrivArea">
                <div class="overlayImg"><img src="<?php echo WPPP_URI; ?>assets/images/article_with_btn.png" alt=""></div>
                <div class="conentIco">
                    <div class="play_listenfloatingBtn playht-custom-audio__playFloatingBtn" style="color: <?php echo esc_attr(get_option( 'playHttextColor', '#fff' ) ); ?>; background-color: <?php echo esc_attr( get_option( 'playHtcolor_backgrund', '#222' ) ); ?>; float:<?php echo esc_attr(get_option( 'FielddesktopPositionID', 'right' ) ); ?>; <?php if (get_option('playht_button_switch')) {echo "opacity: 1";} ?>;">
                        <i class="playhtIcon playht-icon-headphones __play-listen-floating-btn__icon"></i>
                    </div>
                </div>
            </div>
        </div>
<?php
} 

function playHtButtonSwitch() {
    echo '<input id="playht_button_switch" type="checkbox" class="js-switch" name="playht_button_switch" value="1" '. checked(1, get_option('playht_button_switch'), false) .' />';
}
    
function playHtTextcolor_backgrund() {
    $value = get_option( 'playHtcolor_backgrund' ) ? esc_attr( get_option( 'playHtcolor_backgrund' ) ) : '#222' ;
    echo '<input type="text" class="color_backgrund_field" name="playHtcolor_backgrund" value="' . $value . '">';
}

function playHttextColor() {
    $value = get_option( 'playHttextColor' ) ? esc_attr( get_option( 'playHttextColor' ) ) : '#fff' ;
    echo '<input type="text" class="playHttextColor_field" name="playHttextColor" value="' . $value . '">';
}

function desktopPositionCallBack() {
    $selected = get_option( 'FielddesktopPositionID' ) ? esc_attr( get_option( 'FielddesktopPositionID' ) ) : 'right' ;
    ?>
    <select name="FielddesktopPositionID" class="playHtbox_select" id="FielddesktopPositionID">
        <option value="right" <?php selected( $selected, 'right' ); ?>>Right</option>
        <option value="left" <?php selected( $selected, 'left' ); ?>>Left</option>
    </select>
<?php 
}

function mobilePositionCallBack() {
    $selected = get_option( 'FieldmobilePositionID' ) ? esc_attr( get_option( 'FieldmobilePositionID', 'right' ) ) : 'right' ;
    ?>
    <select name="FieldmobilePositionID" class="playHtbox_select">
        <option value="left" <?php selected( $selected, 'left' ); ?>>Left</option>
        <option value="middle" <?php selected( $selected, 'middle' ); ?>>Middle</option>
        <option value="right" <?php selected( $selected, 'right' ); ?>>Right</option>
    </select>

<?php 
}


// CallBacks Listen ///////////////////////////////////////////////
function playHtListenButton() { ?>
    </div>
    <h5 class="palyht_title_settings">Title Play Button <small>If enabled, will show a listen button below any article title, only in the article page and articles list pages.</small></h5>
    <div class="palyhtBodySettings ListenButtonClass">
    <div class="playPrivArea">
        <small>Preview</small>
        <div class="inner_playPrivArea">
            <strong>NOVEMBER 1, 2018</strong>
            <h3 class="playht_post_titleDemo">Hello world!</h3>
            <div class="playListenBtn" id="playListenBtnID" style="
            color: <?php echo esc_attr(get_option( 'playHtListentextColor', "#fff" )); ?>; 
            background-color: <?php echo esc_attr(get_option( 'playHtListencolor_backgrund', "#222" )); ?>; 
            border-color: <?php echo esc_attr(get_option( 'playHtListenBorderColor', "#222" )); ?>; 
            border-radius: <?php echo esc_attr(get_option( 'playHtListenBorderRadius', '2' )); ?>px;
            <?php if (get_option('playht_Listenbutton_switch')) {echo "opacity: 1";} ?>;">
                <i class="playhtIcon playht-icon-headphones __play-listen-floating-btn__icon">&#xe80c;</i>
                <span class="__play-listen-btn__text">Listen</span>
            </div>
            <p class="playhtContentDemo">Welcome to WordPress. This is your first post. Edit or delete it, then start writing!</p>
        </div>
    </div>
<?php 
}

function playHtListenbuttonSwitch() {
    echo '<input type="checkbox" id="playht_Listenbutton_switch" class="js-switch" name="playht_Listenbutton_switch" value="1" '. checked(1, get_option('playht_Listenbutton_switch'), false) .' />';
}

function playHtbuttonWLabel() {
    echo '<input type="checkbox" id="playht_button_wlabel" class="js-switch" name="playht_button_wlabel" value="1" '. checked(1, get_option('playht_button_wlabel'), false) .' />';
}

function playHtListenTextCallback() {
    $value = get_option( 'playHtListenText' ) ? esc_attr( get_option( 'playHtListenText' ) ) : 'Listen' ;
    echo '<input type="text" class="playHtListenText_field" name="playHtListenText" value="' . $value . '" placeholder="Listen">';
}

function playHtListenTextcolor_backgrundCallback() {
    $value = get_option( 'playHtListencolor_backgrund' ) ? esc_attr( get_option( 'playHtListencolor_backgrund' ) ) : '#222' ;
    echo '<input type="text" class="Listencolor_backgrund_field" name="playHtListencolor_backgrund" value="' . $value . '">';
}

function playHtListentextColorCallback() {
    $value = get_option( 'playHtListentextColor' ) ? esc_attr( get_option( 'playHtListentextColor' ) ) : '#fff' ;
    echo '<input type="text" class="playHtListentextColor_field" name="playHtListentextColor" value="' . $value . '">';
}

function playHtListenBorderColorCallback() {
    $value = get_option( 'playHtListenBorderColor' ) ? esc_attr( get_option( 'playHtListenBorderColor' ) ) : '#222' ;
    echo '<input type="text" class="playHtListenBorderColor_field" name="playHtListenBorderColor" value="' . $value . '">';
}
function playHtListenBorderRadiusCallback() {
    $value = get_option( 'playHtListenBorderRadius' ) ? esc_attr( get_option( 'playHtListenBorderRadius' ) ) : 2 ;
    echo '<input type="range" class="BorderRadiusSlider" name="playHtListenBorderRadius" id="BorderRadiusRange" min="1" max="20" value="' . $value . '">';
}

// iframe player /////////////////////////////////////////////////////////////
function playHtIframePlayer() { ?>
    </div>
    <h5 class="palyht_title_settings">Page Player <small>Will become visible and start playing the article when either the <strong>Title Play Button</strong> or <strong>Page Player Button</strong> is clicked.</small></h5>
    <div class="palyhtBodySettings playHtIframePlayer">
    <div class="playPrivArea">
        <div class="isDesc">
            <small>Desktop Preview</small>
            <div class="inner_playPrivArea">
                <div class="playhtforDesktop">
                    <div class="overlayImg"><img src="<?php echo WPPP_URI; ?>assets/images/article_with_btn.png" alt=""></div>                
                    <div class="playht-custom-audio-wrapper" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: rgb(47, 47, 47);' : 'background-color: #222;' ?>">
                        <audio class="playht-audio-element" src="#"></audio>
                        <span class="playht-custom-audio__closeBtn" id="playht-closeBtn">
                            <i class="playhtIcon playht-icon-cancel" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerItemsColor", '#fff').''; ?>"></i>
                        </span>
                        <span class="playht-custom-audio__playBtn" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff;' : '' ?>">
                            <i class="playhtIcon playht-icon-play-circled" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>"></i>
                        </span>
                        <span class="playht-custom-audio__played-time" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerTextColor", '#fff').''; ?>">00:12</span>
                        <span class="playht-custom-audio__playedDiv" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerItemsColor", '#fff').''; ?>"></span>
                        <span class="playht-custom-audio__total-time" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerTextColor", '#fff').''; ?>">17:00</span>
                        <div class="playhtSpeed_range">
                            <span class="line_r" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: #fff' : 'background-color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>">  </span>
                            <span class="line_circl" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: #fff' : 'background-color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>">  </span>
                            <span class="playhtRange__value" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerTextColor", '#fff').''; ?>">speed: 1.0</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="isMob">
            <small>Mobile Preview</small>
            <div class="inner_playPrivArea">

                <div class="playhtforMobile" style="<?php echo $fullScreenMobEnabledID = (get_option('fullScreenMobEnabledID') == true) ? 'display: block;' : '' ?>">
                    <div class="overlayImg"><img src="<?php echo WPPP_URI; ?>assets/images/mobile_page_player.png" alt=""></div>                
                    <div class="playht-custom-audio-wrapper--mobile" style="<?php 
                        echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: rgb(47, 47, 47);color: #fff' : 'background-color:'.get_option("playHtPlayerBackgroundColor", "#222").';color: '.get_option("playHtPlayerTextColor", "#fff").'';
                        ?>">
                        <i class="playhtIcon topArr playht-downarrow-icon" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'color: #fff' : 'color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>"></i>
                        
                        <div class="playht-custom-audio-meta" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') != 'dark') ? 'color: '.get_option("playHtPlayerTextColor").'' : 'color: #fff'; ?>">
                            <span class="imgpl"></span>
                            <p>Lorem Ipsum is simply dummy text</p>
                            <small class="byJohn">by John Doe</small>
                        </div>

                        <div class="playht-cutom-audio__time-wrapper--mobile">
                            <span class="startCount" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') != 'dark') ? 'color: '.get_option("playHtPlayerTextColor").'' : 'color: #fff'; ?>">00:00</span>
                            <span class="endCount" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') != 'dark') ? 'color: '.get_option("playHtPlayerTextColor").'' : 'color: #fff'; ?>">00:17</span>
                        </div>
                        <div class="playht-custom-audio__playBtns-wrapper" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') != 'dark') ? 'color: '.get_option("playHtPlayerItemsColor", "#fff").'' : 'color: #fff'; ?>">
                            <span><i class="playhtIcon playht-fastbackward-icon"></i></span>
                            <span><i class="playhtIcon playht-icon-play-circled"></i></span>
                            <span><i class="playhtIcon playht-fastforward-icon"></i></span>
                        </div>
                        
                        <div class="playhtSpeed_range">
                            <span class="playhtRange__value" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') != 'dark') ? 'color: '.get_option("playHtPlayerTextColor").'' : 'color: #fff'; ?>">Speed: 1.3</span>
                            <span class="line_r" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: #fff' : 'background-color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>">  </span>
                            <span class="line_circl" style="<?php echo $playHtDarkMode = (get_option('playHtDarkMode') == 'dark') ? 'background-color: #fff' : 'background-color: '.get_option("playHtPlayerItemsColor", "#fff").''; ?>">  </span>
                        </div>

                        <div class="playhtIconA"><span><i class="playhtIcon playht-icon-flash"></i>by play.ht</span></div>
                    
                    </div>
                </div>

            </div>
        </div>
    </div>
<?php
} 

function callPlayHtDarkMode() {
    echo '<input type="checkbox" id="playHtDarkModeID" class="js-switch" name="playHtDarkMode" value="dark" '. checked("dark", get_option('playHtDarkMode'), false) .' />';
}

function playHtplayerItemsColorCallBack() {
    $value = get_option( 'playHtPlayerItemsColor' ) ? esc_attr( get_option( 'playHtPlayerItemsColor' ) ) : '#fff' ;
    echo '<input type="text" class="playHtPlayerItemsColor" name="playHtPlayerItemsColor" value="' . $value . '">';
}
function playHtPlayerTextColorCallBack() {
    $value = get_option( 'playHtPlayerTextColor' ) ? esc_attr( get_option( 'playHtPlayerTextColor' ) ) : '#fff' ;
    echo '<input type="text" class="playHtPlayerTextColor" name="playHtPlayerTextColor" value="' . $value . '">';
}
function playHtPlayerBackgroundColorCallBack() {
    $value = get_option( 'playHtPlayerBackgroundColor' ) ? esc_attr( get_option( 'playHtPlayerBackgroundColor' ) ) : '#222' ;
    echo '<input type="text" class="playHtPlayerBackgroundColor" name="playHtPlayerBackgroundColor" value="' . $value . '">';
}

function fullScreenMobEnabledCallBack() {
    echo '<input type="checkbox" id="fullScreenMobEnabledIDJS" class="js-switch" name="fullScreenMobEnabledID" value="1" '. checked(1, get_option('fullScreenMobEnabledID'), false) .' />';
}



// Readalong Switch //////////////////////////////////////////////////////////
function playHt_readalong_player() { 
    $readalongTextColor           =  get_option( 'playHtReadalongTextColor' ) ? esc_attr(get_option( 'playHtReadalongTextColor' )) : '#fff';
    $readalongBackgroundColor     =  get_option( 'playHtReadalongBackgroundColor' ) ? esc_attr(get_option( 'playHtReadalongBackgroundColor' )) : '#222';
    $playHtReadalongBorderRadius  =  get_option( 'playHtReadalongBorderRadius' ) ? esc_attr(get_option( 'playHtReadalongBorderRadius' )) : 2;
    ?> 

    
    <h5 class="palyht_title_settings">Read Along <small>will highlight the current narrated word, this increases the listener's engagement with the article.</small></h5>
    <div class="palyhtBodySettings readalongAreaPreview">
    <div class="playPrivArea">
        <small>Preview</small>
        <div class="inner_playPrivArea">
            <p>Welcome to <span class="readalongWord" id="readalongWord" style="<?php if (get_option('playHt_readalong_switch')) { ?>
            background-color: <?php echo $readalongBackgroundColor ?>;
            color:<?php echo $readalongTextColor ?>;
            border-radius: <?php echo $playHtReadalongBorderRadius; }?>px;
            ">WordPress</span>. This is your first post.</p>
        </div>
    </div>

<?php }
function callBackplayHt_readalong_switch() {
    echo '<input type="checkbox" id="playHt_readalong_switch" class="js-switch" name="playHt_readalong_switch" value="1" '. checked(1, get_option('playHt_readalong_switch'), false) .' />';
}

function playHtReadalongTextColorCallBack() {
    $value = get_option( 'playHtReadalongTextColor' ) ? esc_attr( get_option( 'playHtReadalongTextColor' ) ) : '#fff' ;
    echo '<input type="text" class="playHtReadalongTextColor" name="playHtReadalongTextColor" value="' . $value . '">';
}
function playHtReadalongBackgroundColorCallBack() {
    $value = get_option( 'playHtReadalongTextColor' ) ? esc_attr( get_option( 'playHtReadalongBackgroundColor' ) ) : '#222' ;
    echo '<input type="text" class="playHtReadalongBackgroundColor" name="playHtReadalongBackgroundColor" value="' . $value . '">';
}

function playHtReadalongBorderRadiusCallback() {
    $value = get_option( 'playHtReadalongBorderRadius' ) ? esc_attr( get_option( 'playHtReadalongBorderRadius' ) ) : 2 ;
    echo '<input type="range" class="BorderRadiusSlider" name="playHtReadalongBorderRadius" id="BorderRadiusReadalongWord" min="0" max="4" value="' . $value . '">';
}

function callBackplayHt_articleplayer_switch() {
    $ep_switch_value = get_option('playHt_articleplayer_switch');
    echo '<div class="_conf"><div class="radio">
            <input type="checkbox" id="playHt_articleplayer_switch" name="playHt_articleplayer_switch" name="enabled" value="1" '. checked("1", $ep_switch_value, false) .'>
            <label class="radio-label">Article Player Enabled</label>
        </div>
    <div class="_desc">Shows or hides the Article Player in all your articles those have audio.</div>
    </div>';
}


// Display playHt Setting page ///////////////////////////////////////////////
function display_playHt_SettingPage_page() {
	echo '<form class="form_settings_area" method="post" action="options.php">';
	do_settings_sections( 'play-welcome-page' );
    settings_fields( 'playSettingsArea' );
    echo '</div><div class="playHtsubmit_button_area">';
    submit_button('Save Changes', '_save-btn medium-button medium-button--primary medium-button--filled medium-button--withChrome u-accentColor-- buttonNormal is-touched');
    echo '</div></form>';
}

function display_playHt_SettingReadalongPage_page() {
    echo '<form class="form_settings_area" method="post" action="options.php">';
    do_settings_sections( 'play-welcome-page-readalong' );
    settings_fields( 'playSettingsReadalongArea' );
    echo '</div><div class="playHtsubmit_button_area">';
    echo '<div class="warning-message" style="font-size: 14px;background-color: #FFFDE7;border: 1px solid #FFEB3B;padding: 10px;margin-bottom: 15px;"><b>Read Along is currently available only for these voices:</b> "Geraint", "Matthew", "Gwyneth", "Mads", "Naja", "Hans", "Marlene", "Nicole", "Russell", "Amy", "Brian", "Emma", "Raveena", "Aditi", "Ivy", "Joanna", "Joey", "Justin", "Kendra", "Kimberly", "Salli", "Conchita", "Enrique", "Miguel", "Penelope", "Chantal", "Celine", "Mathieu", "Dora", "Karl", "Carla", "Giorgio", "Mizuki", "Liv", "Lotte", "Ruben", "Ewa", "Jacek", "Jan", "Maja", "Ricardo", "Vitoria", "Cristiano", "Ines", "Carmen", "Maxim", "Tatyana", "Astrid", "Filiz", "Seoyeon", "Takumi", and "Vicki"</div>';
    submit_button('Save Changes', '_save-btn medium-button medium-button--primary medium-button--filled medium-button--withChrome u-accentColor-- buttonNormal is-touched');
    echo '</div></form>';
}

function display_playHt_SettingArticlePlayer_page() {
    echo '<form class="form_settings_area" method="post" action="options.php">';
    do_settings_sections( 'play-welcome-page-articleplayer' );
    settings_fields( 'playSettingsArticlePlayerArea' );
    echo '<div class="playHtsubmit_button_area">';
    submit_button('Save Changes', '_save-btn medium-button medium-button--primary medium-button--filled medium-button--withChrome u-accentColor-- buttonNormal is-touched');
    echo '</div></form>';
}